%debug_package %{nil}
%define _unpackaged_files_terminate_build 0
%define __os_install_post %{nil}

Summary: yet another small httpd
Name: fnord
Version: 1.12.2
Release: 1
Source: http://www.tuxad.de/%{name}-%{version}.tgz
License: GPL v2
Group: System Environment/Daemons
URL: http://www.tuxad.de/fnord-patches.html
BuildRequires: dietlibc
BuildRoot: %{_tmppath}/buildroot-%{name}-%{version}

%description
fnord httpd is a small HTTP server (15k static binary) to be run by a TCP
super-server such as tcpsvd or tcpserver.  It is optimized for performance,
supports sendfile and connection keep-alive, CGI, virtual domains, and
content-ranges. It does transparent content negotiation for special cases
(html - html.gz, or gif - png), and has directory index generation.
fnord is written by Fefe (http://www.fefe.de/). This version is an
"unofficial" release containing some bugfixes and enhancements like
support for Python- or PHP-Scripts.

%prep
%setup -q

%build
make
mv README README.fwb
cd builddir; cp -af README README.auth SPEED TODO CHANGES COPYING ..

%install
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}
%makeinstall

%clean
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc README README.auth README.fwb SPEED TODO CHANGES COPYING
%_bindir/*

%changelog
* Wed Jan 26 2011 Frank Bergmann <http://www.tuxad.com/> 1.12.2-1
- v. 1.12.2

* Wed Dec 22 2010 Frank Bergmann <http://www.tuxad.com/> 1.12.1-1
- v. 1.12.1

* Sat Oct 30 2010 Frank Bergmann <http://www.tuxad.com/> 1.12-1
- initial spec
